import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/CourseMaster',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/CourseMaster/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/CourseMaster',
    method: 'put',
    data
  })
}

export function moveMembers(data) {
  return request({
    url: 'api/member/moveMembers',
    method: 'POST',
    data
  })
}

export default { add, edit, del, moveMembers }
