import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/Project',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/Project/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/Project',
    method: 'put',
    data
  })
}

export function getProjectList(data) {
  return request({
    url: 'api/Project/listProject',
    method: 'post',
    data
  })
}

export function openProject(data) {
  return request({
    url: 'api/Project/examineProject?id=' + data,
    method: 'get'
  })
}

export default { add, edit, del , getProjectList, openProject }
