import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/StudyList',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/StudyList/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/StudyList',
    method: 'put',
    data
  })
}

export function get(data) {
  return request({
    url: 'api/StudyList/info/?date=' + data.date + '&id=' + data.id,
    method: 'get'
  })
}

export default { add, edit, del, get }
