import request from '@/utils/request'

export function get(data) {
  return request({
    url: 'api/cyCourse?id='+data,
    method: 'get',
    data
  })
}

export function add(data) {
  return request({
    url: 'api/cyCourse',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/cyCourse/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/cyCourse',
    method: 'put',
    data
  })
}

export function courseSeat(data) {
  return request({
    url: 'api/CourseSeat/addCourseSeats',
    method: 'post',
    data
  })
}
export function getCourseManage(data) {
  return request({
    url: 'api/cyCourse?isModel=' + data,
    method: 'GET'
  })
}
export function getCourseLevel(data) {
  return request({
    url: 'api/CourseLevel',
    method: 'GET'
  })
}

export default { get, add, edit, del, courseSeat, getCourseManage, getCourseLevel }
