import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/cyVipOrder',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/cyVipOrder/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/cyVipOrder',
    method: 'put',
    data
  })
}

export function show(data) {
  return request({
    url: 'api/cyVipOrder',
    method: 'get',
    data
  })
}

export function Export(data) {
  return request({
    url: '/api/cyVipOrder/download',
    method: 'get',
    data
  })
}

export function back(data) {
  return request({
    url: '/api/cyVipOrder/refundVip',
    method: 'post',
    data
  })
}




export default { add, edit, del,show,back}
